/* Copyright (c) Microsoft Corporation. All rights reserved.
   Licensed under the MIT License. */

// This file defines the mapping from the MT3620 reference development board (RDB) to the
// 'sample hardware' abstraction used by the samples at https://github.com/Azure/azure-sphere-samples.
// Some peripherals are on-board on the RDB, while other peripherals must be attached externally if needed.
// See https://aka.ms/AzureSphereHardwareDefinitions for more information on how to use hardware abstractions,
// to enable apps to work across multiple hardware variants.

// This file is autogenerated from ../../sample_hardware.json.  Do not edit it directly.

#pragma once
#include "mt3620_rdb.h"

#if VENTEC  
//"Uart": ["$NRF52840_UART", "$MT3620_RDB_HEADER4_ISU1_UART", "$MT3620_RDB_HEADER3_ISU3_UART"] ,
//"Gpio" : ["$LORA_nRST", "$LORA_DIO0","$LORA_DIO1","$LORA_TXEN", "$LORA_RF_RXEN","$MT3620_WDG","$ETH_RST", "$NET_LED", "$NET_RED", "$APP_RED", "$APP_LED", "$BLE_RST", "$I2C_EN"] ,

// MT3620 RDB: GUARDIAN LED1 RED GPIO
#define APP_RED MT3620_GPIO59

// MT3620 RDB: GUARDIAN LED1 GREEN GPIO
#define APP_LED MT3620_GPIO57   
#ifdef USE_SD
// MT3620 RDB: SD SPI cs
#define SPI_SD_MOSI  MT3620_GPIO32
#define SPI_SD_CS MT3620_GPIO3
#endif
// MT3620 RDB: Net LED
#define APP_BLUE MT3620_GPIO58  

// GUARDIAN2 BLE Reset pin GPIO4
#define BLE_RST MT3620_GPIO4

// GUARDIAN2 BLE Reset pin GPIO4
#define ETH_RST MT3620_GPIO72

// MT3620 RDB: Connect MT3620 Watchdog
#define MT3620_WDG MT3620_GPIO70

#elif GUARDIAN3 //G3D1 ONLY for NOW 
//"Uart": ["$NRF52840_UART", "$MT3620_RDB_HEADER4_ISU1_UART", "$MT3620_RDB_HEADER3_ISU3_UART"] ,
//"Gpio" : ["$LORA_nRST", "$LORA_DIO0","$LORA_DIO1","$LORA_TXEN", "$LORA_RF_RXEN","$MT3620_WDG","$ETH_RST", "$NET_LED", "$NET_RED", "$APP_RED", "$APP_LED", "$BLE_RST", "$I2C_EN"] ,

#define LORA_nRST MT3620_GPIO0
#define LORA_DIO0 MT3620_GPIO1
#define LORA_DIO1 MT3620_GPIO2
#define LORA_TXEN MT3620_GPIO3
#define LORA_RF_RXEN MT3620_GPIO43

// MT3620 RDB: GUARDIAN LED1 RED GPIO
#define APP_RED MT3620_GPIO57

// MT3620 RDB: GUARDIAN LED1 GREEN GPIO
#define APP_LED MT3620_GPIO58   

// MT3620 RDB: Net LED
#define NET_LED MT3620_GPIO59  

// MT3620 RDB: GUARDIAN LED2 RED GPIO
#define NET_RED MT3620_GPIO60  

// GUARDIAN2 BLE Reset pin GPIO4
#define BLE_RST MT3620_GPIO4

// GUARDIAN2 BLE Reset pin GPIO4
#define ETH_RST MT3620_GPIO72

// MT3620 RDB: Connect MT3620 Watchdog
#define MT3620_WDG MT3620_GPIO70

#elif GUARDIAN2
//"Uart": ["$NRF52840_UART", "$MT3620_RDB_HEADER4_ISU1_UART", "$MT3620_RDB_HEADER3_ISU3_UART"] ,
//"Gpio" : ["$RS232_EN", "$RS485_TX", "$MT3620_WDG", "$NET_LED", "$NET_RED", "$APP_RED", "$APP_LED", "$BLE_RST", "$I2C_EN"] ,
// MT3620 RDB: RS485 TX/RX CONTROL GPIO
#define RS485_TX MT3620_GPIO3 //MT3620_RDB_LED4_BLUE

// MT3620 RDB: RS232/RS485 SWITCH GPIO
#define RS232_EN MT3620_GPIO44 //MT3620_RDB_HEADER2_PIN14_GPIO

// MT3620 RDB: GUARDIAN LED1 RED GPIO
#define APP_RED MT3620_GPIO42

// MT3620 RDB: GUARDIAN LED1 GREEN GPIO
#define APP_LED MT3620_GPIO43  //=MT3620_RDB_HEADER2_PIN12_GPIO

// MT3620 RDB: Net LED
#define NET_LED MT3620_GPIO1 //MT3620_GPIO43 GREEN GPIO42 RED

// MT3620 RDB: GUARDIAN LED2 RED GPIO
#define NET_RED MT3620_GPIO0 //MT3620_RDB_HEADER1_PIN4_GPIO

// MT3620 RDB: GUARDIAN LED2 GREEN GPIO
//#define GUARDIAN_LED2_GREEN MT3620_GPIO43 //MT3620_RDB_HEADER1_PIN6_GPIO

// GUARDIAN2 BLE Reset pin GPIO4
#define BLE_RST MT3620_GPIO4

// MT3620 RDB: I2C/UART SWITCH GPIO
#define I2C_EN MT3620_GPIO68

#elif GUARDIAN1
// MT3620 RDB: RS485 TX/RX CONTROL GPIO
#define RS485_TX MT3620_GPIO23 //MT3620_RDB_LED4_BLUE

// MT3620 RDB: RS232/RS485 SWITCH GPIO^M
#define RS232_EN MT3620_GPIO44 //MT3620_RDB_HEADER2_PIN14_GPIO^M

// MT3620 RDB: GUARDIAN LED1 RED GPIO
#define APP_RED MT3620_GPIO42

// MT3620 RDB: GUARDIAN LED1 GREEN GPIO
#define APP_LED MT3620_GPIO43  //=MT3620_RDB_HEADER2_PIN12_GPIO^M

// MT3620 RDB: Net LED
#define NET_LED MT3620_GPIO46 //MT3620_GPIO43 GREEN GPIO42 RED^M

// MT3620 RDB: GUARDIAN LED2 RED GPIO
#define NET_RED MT3620_GPIO45 //MT3620_RDB_HEADER1_PIN4_GPIO^M

// MT3620 RDB: I2C/UART SWITCH GPIO
#define I2C_EN MT3620_GPIO68

#define MT3620_WDG MT3620_RDB_HEADER2_PIN11_GPIO

#elif OTIS
//"Gpio": ["$RS422_RELAY", "$RS422_BYPASS_WDG", "$MT3620_WDG", "$SAMPLE_PENDING_CAN_CFG", "$SAMPLE_PENDING_CAN_RST", "$CAN_CFG_1", "$CAN_RST_1", "$NET_LED", "$BLE_RST", "$SD_SPI_CS"] ,
// MT3620 RDB: Connect external GPIO44
#define RS422_RELAY MT3620_RDB_HEADER2_PIN14_GPIO

// MT3620 RDB: Connect RS422 Bypass Watchdog
#define RS422_BYPASS_WDG MT3620_RDB_HEADER2_PIN13_GPIO

// MT3620 RDB: Connect MT3620 Watchdog
#define MT3620_WDG MT3620_RDB_HEADER2_PIN11_GPIO

// MT3620 RDB: Net LED
#define NET_LED MT3620_RDB_HEADER2_PIN12_GPIO

// OTIS BLE Reset pin GPIO3
#define BLE_RST MT3620_GPIO3
#ifdef USE_SD
// MT3620 RDB: SD SPI cs
#define SPI_SD_CS MT3620_RDB_HEADER1_PIN11_GPIO
#endif

#ifdef EG1000_CAN
// MT3620 RDB: Connect external CAN CAN UART
#define CAN_UART MT3620_RDB_HEADER4_ISU1_UART

// MT3620 RDB: CAN rst
#define SAMPLE_PENDING_CAN_RST MT3620_RDB_HEADER1_PIN9_GPIO

// MT3620 RDB: CAN rst1
#define CAN_RST_1 MT3620_RDB_HEADER1_PIN5_GPIO

// MT3620 RDB: CAN cfg
#define SAMPLE_PENDING_CAN_CFG MT3620_RDB_HEADER1_PIN72_GPIO

// MT3620 RDB: CAN cfg1
#define CAN_CFG_1 MT3620_RDB_HEADER1_PIN73_GPIO
#endif

#elif FLOWATER_1
//"Uart": ["$NRF52840_UART", "$MT3620_RDB_HEADER4_ISU1_UART"] ,
//"Gpio" : ["$MAX14830_IRQ", "$MT3620_WDG", "$NET_LED", "$UART0_LED", "$UART1_LED", "$UART2_LED", "$WIFI_LED", "$SERVICE_MODE_KEY", "$SERVICE_LED", "$BLE_RST"] ,
// MT3620 RDB: UART0 LED
#define UART0_LED WF_M620_PIN5_GPIOO

// MT3620 RDB: UART1 LED
#define UART1_LED WF_M620_PIN6_GPIO1

// MT3620 RDB: UART2 LED
#define UART2_LED WF_M620_PIN7_GPIO2

// MT3620 RDB: WIFI LED
#define WIFI_LED WF_M620_PIN26_GPIO42

// MT3620 RDB: SERVICR MODE KEY
#define SERVICE_MODE_KEY WF_M620_PIN56_GPIO72

// MT3620 RDB: SERVICR LED
#define SERVICE_LED WF_M620_PIN57_GPIO73

// FloWater BLE Reset pin GPIO3
#define BLE_RST MT3620_GPIO3
#endif


// ISU Defines:
// MT3620 RDB: Connect external nRF52840 UART
#define NRF52840_UART MT3620_RDB_HEADER4_ISU2_UART

#ifdef MAX14830
// MT3620 RDB: Connect external MAX14830 SPI
#define MAX14830_SPI MT3620_RDB_HEADER3_ISU3_SPI

// MT3620 RDB: Connect external GPIO60
#define MAX14830_IRQ MT3620_RDB_HEADER1_PIN11_GPIO
#endif

/*
// MT3620 RDB: Button A
#define SAMPLE_BUTTON_1 MT3620_RDB_BUTTON_A

// MT3620 RDB: Button B
#define SAMPLE_BUTTON_2 MT3620_RDB_BUTTON_B

// MT3620 RDB: ADC Potentiometer controller
#define SAMPLE_POTENTIOMETER_ADC_CONTROLLER MT3620_RDB_ADC_CONTROLLER0

// MT3620 RDB: Connect external potentiometer to ADC controller 0, channel 0 using header 2, pin 11. In the app manifest, it is only necessary to request the capability for the ADC Group Controller, SAMPLE_POTENTIOMETER_ADC_CONTROLLER.
#define SAMPLE_POTENTIOMETER_ADC_CHANNEL MT3620_ADC_CHANNEL0

// MT3620 RDB: LED 1 (red channel)
#define SAMPLE_LED MT3620_RDB_LED1_RED

// MT3620 RDB: PWM LED controller
#define SAMPLE_LED_PWM_CONTROLLER MT3620_RDB_LED_PWM_CONTROLLER2

// MT3620 RDB: Channel 1 for the PWM LED1 green. In the app manifest, it is only necessary to request the capability for the PWM Controller, SAMPLE_LED_PWM_CONTROLLER.
#define SAMPLE_LED_PWM_CHANNEL MT3620_PWM_CHANNEL1

// MT3620 RDB: LED 2 (red channel)
#define SAMPLE_RGBLED_RED MT3620_RDB_LED2_RED

// MT3620 RDB: LED 2 (green channel)
#define SAMPLE_RGBLED_GREEN MT3620_RDB_LED2_GREEN

// MT3620 RDB: LED 2 (blue channel)
#define SAMPLE_RGBLED_BLUE MT3620_RDB_LED2_BLUE

// MT3620 RDB: Connect header 2, pin 1 (RX) to header 2, pin 3 (TX).
#define SAMPLE_UART_LOOPBACK MT3620_RDB_HEADER2_ISU0_UART

// MT3620 RDB: Connect external LSM6DS3 to I2C using header 4, pin 6 (SDA) and pin 12 (SCL)
#define SAMPLE_LSM6DS3_I2C MT3620_RDB_HEADER4_ISU2_I2C

// MT3620 RDB: Connect external LSM6DS3 to SPI using header 4, pin 5 (MISO), pin 7 (SCLK), pin 9 (CSA), pin 11 (MOSI)
#define SAMPLE_LSM6DS3_SPI MT3620_RDB_HEADER4_ISU1_SPI

// MT3620 SPI Chip Select (CS) value "A". This is not a peripheral identifier, and so has no meaning in an app manifest.
#define SAMPLE_LSM6DS3_SPI_CS MT3620_SPI_CS_A

// MT3620 RDB: Connect external NRF52 RESET GPIO using header 2, pin 4
#define SAMPLE_NRF52_RESET MT3620_RDB_HEADER2_PIN4_GPIO

// MT3620 RDB: Connect external NRF52 DFU GPIO using header 2, pin 14
#define SAMPLE_NRF52_DFU MT3620_RDB_HEADER2_PIN14_GPIO

// MT3620 RDB: Connect external NRF52 UART using header 2, pin 1 (RX), pin 3 (TX), pin 5 (CTS), pin 7 (RTS)
#define SAMPLE_NRF52_UART MT3620_RDB_HEADER2_ISU0_UART

// MT3620 RDB: LED 1 (red channel)
#define SAMPLE_DEVICE_STATUS_LED MT3620_RDB_LED1_RED

// MT3620 RDB: LED 3 (blue channel)
#define SAMPLE_PENDING_UPDATE_LED MT3620_RDB_LED3_BLUE
*/
