
# Azure Sphere Samples
This repository contains samples for the [Azure Sphere platform](https://www.microsoft.com/azure-sphere/).

Please also see the Codethink and MediaTek repositories for more sample applications for the MT3620
real-time cores.

https://github.com/CodethinkLabs/mt3620-m4-samples

https://github.com/MediaTek-Labs/mt3620_m4_software

## Using the samples
See the [Azure Sphere Getting Started](https://www.microsoft.com/en-us/azure-sphere/get-started/) page for details on getting an [Azure Sphere Development kit](https://aka.ms/AzureSphereHardware) and setting up your PC for development. You should complete the Azure Sphere [Installation](https://docs.microsoft.com/azure-sphere/install/overview) and [Quickstarts](https://docs.microsoft.com/azure-sphere/install/qs-overview) to validate that your environment is configured properly before using the samples here. 

Clone this entire repository locally. The repository includes the [hardware definition files](./Hardware/) that are required to run the samples on a range of Azure Sphere hardware.

Each folder within the samples subdirectory contains a README.md file that describes the samples therein. Follow the instructions for each individual sample to build and deploy it to your Azure Sphere hardware to learn about the features that the sample demonstrates.

## Contributing
This project welcomes contributions and suggestions. Most contributions require you to agree to a Contributor License Agreement (CLA) declaring that you have the right to, and actually do, grant us the rights to use your contribution. For details, visit https://cla.microsoft.com.

When you submit a pull request, a CLA-bot will automatically determine whether you need to provide a CLA and decorate the PR appropriately (e.g., label, comment). Simply follow the instructions provided by the bot. You will only need to do this once across all repos using our CLA.

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/).
For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or
contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments.

## Licenses

For information about the licenses that apply to a particular sample, see the License and README.md files in each subdirectory. 

