/* Copyright (c) 2020 CRL. All rights reserved. */

#include <errno.h>
#include <signal.h>
#include <stdbool.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <unistd.h>
#include <applibs/applications.h>
#include "./sample/sample_main.h"
#include "gdn.h"


/// <summary>
///     Main entry point for this application.
/// </summary>
int main(int argc, char* argv[])
{
    int ret;



    ret = gdn_sys_init();  // Init Guardian H/W driver
    if (ret != 0) {
        LOGE("gdn_sys_init failed.");
        return -1;
    }
    LOGI("Guardian Application starting.\n");

    gdn_sample_main();                 // Sample code demo
    ret = gdn_azure_init(argc, argv);  // Comment this call if you just want to test h/w, not the Changhong azure cloud, to test your own Azure cloud, edit app_manifest.json
    if (ret != 0) {
        LOGE("gdn_azure_init failed.");
        return -1;
    }
    const unsigned int SleepTime = 60;
      unsigned long cnt=0;
      while (1) {
        /* Your main routine */
        sleep(SleepTime); 

        LOGI("==== Memory Total:%u, User:%u, Peak:%u, cnt:%lu ====\n", Applications_GetTotalMemoryUsageInKB(), Applications_GetUserModeMemoryUsageInKB(), Applications_GetPeakUserModeMemoryUsageInKB(), ++cnt);
// Reboot Sample, you can call  gdn_TriggerReboot() anytime in Application to force device reboot, especially if memory fragmented.
#if 0
        if (cnt > 3)
        {
            LOGW("Reboot now...\n");
            gdn_TriggerReboot();
        }
#endif
    
    }

    LOGI("Guardian3 Application exiting.\n");
    return 0;
}
