#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <applibs/networking.h>
#include <applibs/log.h>
#include <applibs/rtc.h>
#include "applibs_versions.h"

#include "sample_cellular.h"
#include "gdn.h"

/* The only thing customer should set up for Cellular part is the default APN, which can be changed in sample_cellular.h 
    Application can use the following four functions to check network type and connection, 
    Only in Cellular type, Application can get cellular and GPS info; You can modified it if you want to keep the result of the local variable.

*/ 

extern e_network_type gdn_get_network_type(void);   // Only call cellular functions when it returns network_type_4G !!
extern int gdn_check_network_ready(void);
extern int  gdn_get_gps_info(GPS_INFO_S *pGPS_Info);
extern int  gdn_get_cellular_status(CELLULAR_STATUS_S *pCellularStatus);

int get_gps_position(void)
{
    int ret;
    GPS_INFO_S gpsInfo;
    ret =gdn_get_gps_info(&gpsInfo);
    if (0 == ret) {
        LOGD("==============================nxp_get_gps ret[%d],utc:%s, longitude:%s, latitude:%s, altitude:%s, nsat %s =====================\n", ret,
            gpsInfo.utc, gpsInfo.longitude, gpsInfo.latitude, gpsInfo.altitude, gpsInfo.nsat);
    }
    return ret;
}

int get_cellular_status(void)
{
    CELLULAR_STATUS_S CellularStatus;
    int ret;

    ret = gdn_get_cellular_status(&CellularStatus);
    if (ret == 0)
            {
					LOGD("get status ret[%d]: state:%s, signal_quality:%s, access_tech:%s, registration_state:%s, imei:%s, operator_code:%s, operator_name:%s.\n",
            ret, CellularStatus.state, CellularStatus.signal_quality, CellularStatus.access_tech, CellularStatus.registration_state, CellularStatus.imei, CellularStatus.operator_code, CellularStatus.operator_name);

				}
    return ret;
				}

int gdn_cellular_sample(void)
{
    int ret;

    ret= get_cellular_status();
    ret= get_gps_position();
    return ret;
}	
