#pragma once

#define DEFAULT_APN  "mesh.com.attz"
int gdn_cellular_sample(void);
/**
 * @brief: get interface connect state.
 * @param: interface, i.e.: "eth0", "wlan0".
 * @return: true-connected, false-not connected.
 */
bool gdn_IsNetworkInterfaceConnectedToInternet(char* networkInterface);

/**
 * @brief: get GPS state.
 * @param: void.
 * @return: 0 - Ok, <0 - not Ok.
 */
int gdn_get_gps_data(void);
int getInterfaceStatus(char* ifc);
extern 	int gdn_get_cellular_setting(void);
extern int gdn_change_network_type(int networkType);
extern 	void gdn_print_curTime(void);
extern int gdn_powerdown_cellular(void);
/**
 * @brief: Set cellular mode(Reserve API).
 * @param: mode - Supported modes: low power consumption, sleep, etc.
 * @return: 0 on success, -1 otherwise.
 */
int gdn_set_cellular_mode(int mode);
int get_gps_position(void);
