/* Copyright (c) 2021 CRL. All rights reserved. */
#include <pthread.h>
#include <errno.h>
#include <string.h>
#include <hw/sample_hardware.h>
#include <applibs/log.h>
#include <applibs/networking.h>
#include "applibs_versions.h"
#include "eventloop_timer_utilities.h"
#include "sample_led.h"
#include "gdn.h"
extern int get_interface_connection_status(char *ifn);
extern bool gdn_IsGPSFixed(void);
pthread_t ledThreadId = NULL;

static void* led_sample_thread(void* ptr)
{
    int netStatus=0;
    while (1) {
        netStatus= get_interface_connection_status("eth0") | get_interface_connection_status("wlan0");
        switch (netStatus)
        {
            case Networking_InterfaceConnectionStatus_ConnectedToInternet:
            {                        
                gdn_set_led_status(TYPE_NET_GREEN, 1);
                gdn_set_led_status(TYPE_NET_RED, 0); 
//                LOGI("Connected To Internet! \n");       
                break;
            }
            case Networking_InterfaceConnectionStatus_IpAvailable:
            {
                gdn_set_led_status(TYPE_NET_GREEN, 1);
                gdn_set_led_status(TYPE_NET_RED, 1);   
                break;              
            }
            case Networking_InterfaceConnectionStatus_InterfaceUp:
            default:
            {
                gdn_set_led_status(TYPE_NET_GREEN, 0);
                gdn_set_led_status(TYPE_NET_RED, 1);
                break;
            } 
        }
#ifdef USE_NXP_QUECTEL
        if (gdn_IsGPSFixed())
        {
            gdn_set_led_status(TYPE_APP_GREEN,1);
            gdn_set_led_status(TYPE_APP_RED, 0);
        }
        else
        {
            gdn_set_led_status(TYPE_APP_GREEN,0);
            gdn_set_led_status(TYPE_APP_RED, 1);
        }
#endif
        sleep(2);
    }

    return NULL;
}

int gdn_led_sample(void)
{
    gdn_init_led();
    if (0 != pthread_create(&ledThreadId, NULL, led_sample_thread, NULL)) {
        LOGE("Could not Create led Test thread: %s (%d).\n", strerror(errno), errno);
        return -1;
    }
    return 0;
}
