/* Copyright (c) CRL Corporation. All rights reserved.
   Licensed under the MIT License. */

#include <string.h>

#include "gdn.h"
#include "sample_southbound_eth.h"

static void SouthEthernetHandler(char *buff, int buff_len, uint16_t port);

/// <summary>
/// Should be better to be called before gdn_sys_init.
/// </summary>
void gdn_southbound_eth_sample(void)
{
    gdn_southboundeth_register_receiver(SouthEthernetHandler);
}

static void SouthEthernetHandler(char *buff, int buff_len, uint16_t port)
{
    LOGD("Recv %d bytes from port:%hu\n", buff_len, port);
    // Send data back
    gdn_southboundeth_send(buff, (size_t)buff_len, port);
}
