#include <pthread.h>
#include <errno.h>
#include <string.h>
#include <hw/sample_hardware.h>
#include "applibs_versions.h"
#include <applibs/uart.h>
#include <applibs/log.h>
#include "eventloop_timer_utilities.h"
#include "gdn.h"

static const UART_BaudRate_Type baudRate = 115200;
static const UART_FlowControl_Type flowControl = UART_FlowControl_None;

static void handle_usb_can_data_test(uint8_t* receiveBuffer, ssize_t bytesRead)
{
    gdn_send_message_to_usb(receiveBuffer, (size_t)bytesRead);  //tortous test
}

void gdn_usb_uart_sample(void)
{
    UART_Config uartConfig;
    UART_InitConfig(&uartConfig);
    uartConfig.baudRate = baudRate;
    uartConfig.flowControl = flowControl;

    gdn_open_usb_uart(&uartConfig, handle_usb_can_data_test);
}